Announcement

Collapse
No announcement yet.

Can I install brand new installation but keep existing forums, threads, posts, users?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • borbole
    replied
    Originally posted by raicars View Post
    Don't work
    What messages did you get when you ran those queries? It works 100%. I have applied that in different occasions and it worked like a charm every time.

    Leave a comment:


  • raicars
    replied
    Originally posted by borbole View Post
    ...............
    Code:
    SET collation_connection='latin1_general_ci';
    Or you can change it the other way around, it depends. Hope this helps.
    Don't work

    Leave a comment:


  • borbole
    replied
    Did you disable the mods as adviced above?

    From the mysql error shown above, can you check and make sure that collation_connection is the same with collation_database and collation_server.

    I ask because I think they are not the same. Can you run the following queries:

    Code:
    SHOW VARIABLES LIKE 'char%';
    This will give you a list of all the character_set and how they are set.

    Run also this other query:


    Code:
    SHOW VARIABLES LIKE 'coll%';
    This will give you a list of all collations and their values and then you can make a comparison. If they are not the same, for ex if collation_connection needs to be changed to latin_general_ci say, you can do it with this query:

    Code:
    SET collation_connection='latin1_general_ci';
    Or you can change it the other way around, it depends. Hope this helps.

    Leave a comment:


  • x YNWA x
    replied
    I just went to phpmyadmin and went through the tables again, they are all latin general and tried to install again, each time its step 9 I get stuck on. It must be something to do with images because it says "moving picture 1 into the attachment system":

    Step 9) Albums System Alterations
    Moving picture 1 into the Attachment System
    Database errorThe Walt Disney World Planning Forum - An unofficial guide to walt disney world database has encountered a problem.Please try the following:
    • Load the page again by clicking the Refresh button in your web browser.
    • Open the www.disneyworldplanning.com home page, then try to open another page.
    • Click the Back button to try another link.

    The www.disneyworldplanning.com forum technical staff have been notified of the error, though you may contact them if the problem persists.
    We apologise for any inconvenience.



    Database error in vBulletin 3.8.3:

    Invalid SQL:

    (SELECT 'package' AS classtype, package.packageid AS typeid, package.packageid AS packageid,
    package.productid AS productid, if(package.productid = 'vbulletin', 1, product.active) AS enabled,
    package.class AS class, -1 as isaggregator
    FROM package AS package
    LEFT JOIN product AS product
    ON product.productid = package.productid
    WHERE product.active = 1
    OR package.productid = 'vbulletin'
    )

    UNION

    (SELECT 'contenttype' AS classtype, contenttypeid AS typeid, contenttype.packageid AS packageid,
    1, 1, contenttype.class AS class , contenttype.isaggregator
    FROM contenttype AS contenttype
    INNER JOIN package AS package ON package.packageid = contenttype.packageid
    LEFT JOIN product AS product ON product.productid = package.productid
    WHERE product.active = 1
    OR package.productid = 'vbulletin' );

    MySQL Error : Illegal mix of collations (latin1_general_ci,IMPLICIT) and (latin1_swedish_ci,IMPLICIT) for operation '='
    Error Number : 1267
    Request Date : Sunday, February 14th 2010 @ 04:49:07 PM
    Error Date : Sunday, February 14th 2010 @ 04:49:07 PM
    Script : http://www.disneyworldplanning.com/f...0a1.php?step=9
    Referrer : http://www.disneyworldplanning.com/f...0a1.php?step=8
    IP Address : 81.97.35.74
    Username :
    Classname : vB_Database
    MySQL Version : 5.0.81-community

    Leave a comment:


  • Lynne
    replied
    As said, you should definitely disable all your plugins before you upgrade. Edit config.php and add this line right under <?php

    PHP Code:
    define('DISABLE_HOOKS'true); 

    Leave a comment:


  • Ace
    replied
    Originally posted by x YNWA x View Post
    Maybe I should uninstall any addons from vbulletin.org and try upgrade then?
    You have to disable ALL plugins and products before doing the Upgrade.

    Leave a comment:


  • borbole
    replied
    Yes, try to uninstall all the addons you have and give the upgrade another try. I have seen quite some threads where that helped.

    P.s. Did you make a backup of your db prior to the upgrade?

    Leave a comment:


  • x YNWA x
    replied
    Originally posted by Zachery View Post
    Don't get crazy and try to do crazy things, lets workout the problems with the upgrader and move from there. The error indiciates one or more files are missing can you reupload the vBulletin 4 files and try again?
    Hi, not getting crazy. I was just asking a simple question that I am not sure is possible or not, I am not a coder.

    I have uploaded the files and tried to upgrade 4 times now and no joy, at the moment my site is totally unusable as it comes up with frequent errors

    Maybe I should uninstall any addons from vbulletin.org and try upgrade then?

    Anyone know any ideas what to do? Cheers

    Leave a comment:


  • Zachery
    replied
    Don't get crazy and try to do crazy things, lets workout the problems with the upgrader and move from there. The error indiciates one or more files are missing can you reupload the vBulletin 4 files and try again?

    Leave a comment:


  • Can I install brand new installation but keep existing forums, threads, posts, users?

    Hi

    I have a major issue, look at thread:

    http://www.vbulletin.com/forum/showt...database-error

    It is currently half way between 3.8.3 and 4.0.1. I tried to do upgrade but it came up with Illegal mix of collations so I went into phpmyadmin and put them all to latin general as a few were swedish, it took me over 1 hour to do this.

    I was then getting stuck at step 9 of the install process and just do not know why, it is saying Illegal mix of collations but I can not see why.

    I then tried to upgrade to 3.8.4 and I get error

    vBulletin 3.8 Upgrade System #all { margin: 10px; } #all p, #all td, #all li, #all div { font-size: 11px; font-family: verdana, arial, helvetica, sans-serif; }
    Fatal error: Class 'vB_DataManager_attachmentfiledata' not found in /home/xxxxx/xxxxx/disneyworldplanning.com/forum/includes/functions.php on line 135


    (I put xxx in there for security purposes)

    The upgrade script does not even start.

    So I canno do anything, but the funny thing is the forum works ok but I have already paid someone to do an upgrade to my design.

    I have a lot of forums setup and many posts, users etc so it would take me ages to set it back up. I am more concerned about keeping all the forums and layouts and users but want to look at doing a fresh install.

    Can this be done with existing database? Or can I make new database and copy some of the tables from the existing one over?

    I just want to be able to upgrade really so any solution will suit me

    Cheers

Related Topics

Collapse

Working...
X